apiVersion: argoproj.io/v1alpha1
kind: Application
metadata:
  name: products-service
  namespace: argocd
spec:
  destination:
    name: in-cluster
    namespace: 'default'
    server: ''
  source:
    path: "./resources/gitops-repo/services/products"
    repoURL: >-
      https://gitlab.com/hsine.gabsi/tekton-argocd-poc.git
    targetRevision: HEAD
  project: default
  syncPolicy:
    automated:
      prune: false
      selfHeal: false
